SoLightModel(3)

NAME
SoLightModel - The SoLightModel class is a node for specifying the model for geometry lighting.

SYNOPSIS

#include <Inventor/nodes/SoLightModel.h>

Inherits SoNode.

  Public Types
enum Model { BASE_COLOR = SoLazyElement::BASE_COLOR, PHONG = SoLazyElement::PHONG }

  Public Member Functions
virtual SoType getTypeId (void) const
SoLightModel (void)
virtual void doAction (SoAction *action)
virtual void GLRender (SoGLRenderAction *action)
virtual void callback (SoCallbackAction *action)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)
Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.

  Public Attributes
SoSFEnum model

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
virtual ~SoLightModel ()

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoLightModel class is a node for specifying the model for geometry lighting. Use nodes of this type to set up how lighting should affect subsequent geometry in the scene.

FILE FORMAT/DEFAULTS:

LightModel {
    model PHONG
}

Member Enumeration Documentation

  enum SoLightModel::Model
Enumerates available light models.

Enumerator

BASE_COLOR
    Use the current diffuse material color for subsequent geometry, and do not let any light sources influence the appearance of the rendering primitives.

PHONG
    Use Phong style shading for the geometry.

Constructor & Destructor Documentation

  SoLightModel::SoLightModel (void)
Constructor.

  SoLightModel::~SoLightModel () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoLightModel::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoLightModel::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Implements SoBase.

  const SoFieldData ** SoLightModel::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoLightModel::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoFieldContainer.

  void SoLightModel::doAction (SoAction * action) [virtual]
This function performs the typical operation of a node for any action.

Reimplemented from SoNode.

  void SoLightModel::GLRender (SoGLRenderAction * action) [virtual]
Action method for the SoGLRenderAction.

This is called during rendering traversals. Nodes influencing the rendering state in any way or want to throw geometry primitives at OpenGL override this method.

Reimplemented from SoNode.

  void SoLightModel::callback (SoCallbackAction * action) [virtual]
Action method for SoCallbackAction.

Simply updates the state according to how the node behaves for the render action, so the application programmer can use the SoCallbackAction for extracting information about the scene graph.

Reimplemented from SoNode.

Member Data Documentation

  SoSFEnum SoLightModel::model
Light model to use. Defaults to SoLightModel::PHONG.

Author

Generated automatically by Doxygen for Coin from the source code.